import React, { Component } from "react";
import ContentWrapper from "@/components/Layout/ContentWrapper";
import { Row, Col } from "reactstrap";
import CaseProgress from "@/components/Main/CaseProgress";
import TableSanksi from "@/components/Main/TableSanksi";
import { getSanksi } from "@/actions/sanksi";
import { connect } from "react-redux";
import Loader from "@/components/Common/Loader";

class PemantauanPerbaikan extends Component {
	constructor(props) {
		super(props);
		this.state = {
			sanksi: {},
		};
	}

	componentDidMount = async () => {
		const { organisasi, peran } = this.props.user.peran[0];
		const query = { role: peran.id === 2021 ? "lldikti" : "dikti", docPerbaikan: true };
		if (peran.id === 2021) query.orgId = organisasi.id;
		const sanksi = await getSanksi(query);
		this.setState({ sanksi });
	};

	render() {
		const { sanksi } = this.state;
		return (
			<ContentWrapper>
				<div className="content-heading">Pemantauan Perbaikan</div>
				<Row>
					<Col lg="4">
						<CaseProgress />
					</Col>
					<Col lg="8">{sanksi?.data ? <TableSanksi listData={sanksi.data} to="/app/pemantauan-perbaikan/detail" linkName="Detail" /> : <Loader />}</Col>
				</Row>
			</ContentWrapper>
		);
	}
}

const mapStateToProps = (state) => ({ user: state.user });
export default connect(mapStateToProps)(PemantauanPerbaikan);
